Package: node-gyp
Version: 3.0.1-1
Severity: important
Tags: upstream, fixed-upstream
Control: forwarded -1 https://github.com/nodejs/node-gyp/pull/723


Dear Debian folks,


after upgrading the package node-gyp from 0.12.2+ds-1 to 3.0.1 running
`npm install` in my project fails. I think it’s an upstream issue and
was solved in version 3.0.2 [1], as with `npm install node-gyp`,
installing version 3.0.3, I don’t have any problems.

```
$ npm install
[…]
> utf-8-validate@1.1.0 install 
> /home/app/node_modules/browser-sync/node_modules/socket.io/node_modules/engine.io/node_modules/ws/node_modules/utf-8-validate
> node-gyp rebuild

Usage: gyp_main.py [options ...] [build_file ...]

gyp_main.py: error: no such option: --no-parallel
gyp ERR! configure error 
gyp ERR! stack Error: `gyp` failed with exit code: 2
gyp ERR! stack     at ChildProcess.onCpExit 
(/usr/share/node-gyp/lib/configure.js:354:16)
gyp ERR! stack     at ChildProcess.emit (events.js:98:17)
gyp ERR! stack     at Process.ChildProcess._handle.onexit 
(child_process.js:820:12)
gyp ERR! System Linux 3.16.0-4-amd64
gyp ERR! command "nodejs" "/usr/bin/node-gyp" "rebuild"
gyp ERR! cwd 
/home/app/node_modules/browser-sync/node_modules/socket.io/node_modules/engine.io/node_modules/ws/node_modules/utf-8-validate
gyp ERR! node -v v0.10.38
gyp ERR! node-gyp -v v3.0.1
gyp ERR! not ok 
npm WARN engine get-stdin@5.0.0: wanted: {"node":">=0.12.0"} (current: 
{"node":"0.10.38","npm":"1.4.21"})
npm WARN This failure might be due to the use of legacy binary "node"
npm WARN For further explanations, please read
/usr/share/doc/nodejs/README.Debian
 
npm WARN optional dep failed, continuing utf-8-validate@1.1.0
npm WARN engine get-stdin@5.0.0: wanted: {"node":">=0.12.0"} (current: 
{"node":"0.10.38","npm":"1.4.21"})
npm WARN engine get-stdin@5.0.0: wanted: {"node":">=0.12.0"} (current: 
{"node":"0.10.38","npm":"1.4.21"})
[…]
```

It’d be great if the fixed version could be uploaded.


Thanks,

Paul


[1] https://github.com/nodejs/node-gyp/pull/723
-- 
GPG-Schlüssel: 33623E9B
Fingerabdruck = 0EB1 649D 4361 D04F 3C70  6F71 4DD7 BF75 3362 3E9B

Giant Monkey Software Engineering GmbH

Brunnenstr. 7D
10119 Berlin Mitte

Geschäftsführer Adrian Fuhrmann, Lion Vollnhals und Paul Menzel

USt-IdNr.: DE281524720
HRB 139495 B Amtsgericht Charlottenburg

Attachment: signature.asc
Description: This is a digitally signed message part

_______________________________________________
Pkg-javascript-devel mailing list
Pkg-javascript-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-javascript-devel

Reply via email to